
Summary: Qt-based library for using D-BUS
Name:	 dbus-qt
Version: 0.62
Release: 1%{?dist}

License: AFL/GPL
URL: 	 http://www.freedesktop.org/software/dbus/
Source0: http://dbus.freedesktop.org/releases/dbus-%{version}.tar.gz 
Group: 	 System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: libxml2-devel
BuildRequires: qt-devel

Provides: dbus-qt3 = %{version}-%{release}

Requires: dbus = %{version}

%description
D-BUS add-on library to integrate the standard D-BUS library with
the Qt3 thread abstraction and main loop.

%package devel
Summary: Libraries and headers for D-BUS
Group: Development/Libraries
Provides: dbus-qt3-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel = %{version}
Requires: qt-devel
%description devel
%{summary}.



%prep
%setup -q -n dbus-%{version}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-tests --disable-verbose-mode --disable-asserts \
  --disable-static \
  --enable-qt3 \
  --disable-qt \
  --disable-libaudit --enable-selinux=no \
  --disable-glib --disable-gtk

make %{?_smp_mflags} -C dbus
make %{?_smp_mflags} -C qt3


%install
rm -rf $RPM_BUILD_ROOT 

make -C dbus install DESTDIR=$RPM_BUILD_ROOT
make -C qt3  install DESTDIR=$RPM_BUILD_ROOT
make -C dbus uninstall DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libdbus-qt-*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dbus-1.0/dbus/*
%{_libdir}/libdbus-qt-*.so


%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
* Fri Dec 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.62-1
- dbus-0.62 (#207923)

* Tue Jun 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.61-4
- BR: gettext

* Tue May 30 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.61-3
- Requires: dbus = %%version

* Mon May 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.61-2
- %%post/%%postun: /sbin/ldconfig

* Mon May 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.61-1
- first try

